from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, String

Srapath_Orig_2_10_8_V0_1_0 = CommandToolBuilder(tool="srapath_orig.2.10.8", base_command=["srapath-orig.2.10.8"], inputs=[ToolInput(tag="in_function", input_type=Boolean(optional=True), prefix="--function", doc=InputDocumentation(doc="function to perform (resolve, names,\nsearch) default=resolve or names if\nprotocol is specified")), ToolInput(tag="in_location", input_type=Boolean(optional=True), prefix="--location", doc=InputDocumentation(doc="location of data")), ToolInput(tag="in_timeout", input_type=Boolean(optional=True), prefix="--timeout", doc=InputDocumentation(doc="timeout-value for request")), ToolInput(tag="in_protocol", input_type=Boolean(optional=True), prefix="--protocol", doc=InputDocumentation(doc="protocol (fasp; http; https; fasp,http;\n...) default=https")), ToolInput(tag="in_vers", input_type=Boolean(optional=True), prefix="--vers", doc=InputDocumentation(doc="version-string for cgi-calls")), ToolInput(tag="in_url", input_type=Boolean(optional=True), prefix="--url", doc=InputDocumentation(doc="url to be used for cgi-calls")), ToolInput(tag="in_param", input_type=Boolean(optional=True), prefix="--param", doc=InputDocumentation(doc="param to be added to cgi-call (tic=XXXXX):")), ToolInput(tag="in_json", input_type=Boolean(optional=True), prefix="--json", doc=InputDocumentation(doc="print the reply in JSON")), ToolInput(tag="in_project", input_type=Boolean(optional=True), prefix="--project", doc=InputDocumentation(doc="use numeric [dbGaP] project-id in")), ToolInput(tag="in_path", input_type=Boolean(optional=True), prefix="--path", doc=InputDocumentation(doc="print path of object: names function-only")), ToolInput(tag="in_perm", input_type=File(optional=True), prefix="--perm", doc=InputDocumentation(doc="PATH to jwt cart file")), ToolInput(tag="in_ngc", input_type=File(optional=True), prefix="--ngc", doc=InputDocumentation(doc="PATH to ngc file")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Increase the verbosity of the program\nstatus messages. Use multiple times for more\nverbosity. Negates quiet.")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Turn off all status messages for the\nprogram. Negated by verbose.")), ToolInput(tag="in_option_file", input_type=File(optional=True), prefix="--option-file", doc=InputDocumentation(doc="Read more options and parameters from the")), ToolInput(tag="in_location_dot", input_type=String(), position=0, doc=InputDocumentation(doc="This tool produces a path that is 'likely' to be a run, in that")), ToolInput(tag="in_raw_only", input_type=String(), position=0, doc=InputDocumentation(doc="-r|--raw                         print the raw reply (instead of parsing it) ")), ToolInput(tag="in_names_cgi_call", input_type=String(), position=1, doc=InputDocumentation(doc="-c|--cache                       resolve cache location along with remote ")), ToolInput(tag="in_quit_dot", input_type=String(), position=0, doc=InputDocumentation(doc="-L|--log-level <level>           Logging level as number or enum string. One ")), ToolInput(tag="in_file_dot", input_type=File(), position=0, doc=InputDocumentation(doc="srapath-orig.2.10.8 : 2.10.8"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Srapath_Orig_2_10_8_V0_1_0().translate("wdl", allow_empty_container=True)

